// TODO
// A `Circle` class/function that can be invoked as :
// const c = new Circle();
// It should contain at least 3 hidden fields `x`, `y`, and `radius`.
export class Circle{
    #x;
    #y;
    #radius;

    /**
     * Constructeur de la classe Circle
     * @param x
     * @param y
     * @param radius
     */
    constructor(x=0, y=0, radius=1)
    {
        this.#x = x;
        this.#y = y;
        this.#radius = radius;
    }

    /**
     * Getter de x de y
     * @returns {*[]}
     */
    get coords() {
        return [this.#x, this.#y];
    }

    /**
     * Getter du rayon
     * @returns {*}
     */
    get radius() {
        return this.#radius;
    }

    /**
     * Setter du rayon
     * @param radius
     */
    set radius(radius)
    {
        if(typeof radius !== 'number')
            throw new Error('le rayon du cercle doit etre un nombre');
        if(radius<0)
            throw new Error('le rayon du cercle doit etre positif');
        this.#radius = radius;
    }


}



